<div align="right">
    <img src="https://raw.githubusercontent.com/ElixirNote/elixirnote/main/jupyterlab/staging/assets/guinsoolab-badge.png" width=60 alt="badge">
</div>
<div align="center">
    <img src="https://raw.githubusercontent.com/ElixirNote/elixirnote/main/jupyterlab/staging/assets/elixirnote2.svg" width=120 alt="logo" />
    <br />
    <small>go from data to knowledge</small>
</div>

# [ElixirNote](https://ciusji.gitbook.io/elixirnote/)

[![Build Status](https://github.com/jupyterlab/jupyterlab/workflows/Linux%20Tests/badge.svg)](https://github.com/jupyterlab/jupyterlab/actions?query=branch%3Amaster+workflow%3A%22Linux+Tests%22)
[![Build Status](https://github.com/jupyterlab/jupyterlab/workflows/Windows%20Tests/badge.svg)](https://github.com/jupyterlab/jupyterlab/actions?query=branch%3Amaster+workflow%3A%22Windows+Tests%22)
[![Documentation Status](https://readthedocs.org/projects/jupyterlab/badge/?version=stable)](http://jupyterlab.readthedocs.io/en/stable/)
[![Crowdin](https://badges.crowdin.net/jupyterlab/localized.svg)](https://crowdin.com/project/jupyterlab)
[![GitHub](https://img.shields.io/badge/issue_tracking-github-blue.svg)](https://github.com/jupyterlab/jupyterlab/issues)

[ElixirNote](https://github.com/ElixirNote/elixirnote/tags) is a next-generation web-based user interface for
Project Jupyter. The Commercial product such as [Hex](https://hex.tech/), [Deepnote](https://deepnote.com/) ... are also good choices.

![ecosystem](https://raw.githubusercontent.com/ElixirNote/elixirnote/main/jupyterlab/staging/assets/elixir-ecosystem-v2.svg)

Read the current ElixirNote documentation on [ElixirNote Docs](https://ciusji.gitbook.io/elixirnote/).

## Main Features

- **A new way to notebook**
  - Use SQL, Python, and Julia together, or alone
  - No-code visualization
  - A magic, reactive execution model
  - Advanced version control
- **Publish work as interactive data apps**
  - A full library of UI components
  - Drag-and-drop layouts
  - Instant publishing
  - Live commenting
- **Build organizational knowledge**
  - Discovery work in the knowledge library
  - Organize with categories and statuses
- **Security first**
  - Single tenant / private VPC deploys
  - HIPAA compliant, and BAA friendly
  - SSO support through Google, Okta, Keycloak, and more

## Documentation

- [Get Started](https://ciusji.gitbook.io/elixirnote/guides/get-started)
- [Installation](https://ciusji.gitbook.io/elixirnote/guides/installation)
- [Interface Overview](https://ciusji.gitbook.io/elixirnote/guides/interface-overview)
- [Working With Files](https://ciusji.gitbook.io/elixirnote/guides/working-with-files)
- [Text Editor](https://ciusji.gitbook.io/elixirnote/guides/text-editor)
- [Notebooks](https://ciusji.gitbook.io/elixirnote/guides/notebooks)
- [Terminals](https://ciusji.gitbook.io/elixirnote/guides/terminals)
- [Command Palette](https://ciusji.gitbook.io/elixirnote/guides/command-palette)
- [File & Output Format](https://ciusji.gitbook.io/elixirnote/guides/file-and-output-formats)
- [Extensions](https://ciusji.gitbook.io/elixirnote/guides/extensions)
- [Elixir Server](https://ciusji.gitbook.io/elixirnote/guides/elixirnote-server)
- [Elixir Hub](https://ciusji.gitbook.io/elixirnote/guides/elixirnote-hub)
- [Realtime Collaboration](https://ciusji.gitbook.io/elixirnote/guides/real-time-collaboration)
- [APIs](https://ciusji.gitbook.io/elixirnote/guides/apis)
- [FAQ](https://ciusji.gitbook.io/elixirnote/appendix/faq)

## Getting Help

We encourage you to ask questions on the [Discourse forum](https://github.com/orgs/ElixirNote/discussions). A question answered there can become a useful resource for others.

## Bug Report

To report a bug please read the [guidelines](https://github.com/ElixirNote/elixirnote/issues) and then open a [Github issue](https://github.com/ElixirNote/elixirnote/issues). To keep resolved issues self-contained, the [lock bot](https://github.com/apps/lock) will lock closed issues as resolved after a period of inactivity. If related discussion is still needed after an issue is locked, please open a new issue and reference the old issue.

## Development

### Extending ElixirNote

To start developing an extension for ElixirNote, see the [developer documentation](https://ciusji.gitbook.io/elixirnote/guides/extensions) and the [API docs](https://ciusji.gitbook.io/elixirnote/guides/apis).

### Contributing

To contribute code or documentation to ElixirNote itself, please read the [contributor documentation](https://github.com/ElixirNote/elixirnote/blob/main/CONTRIBUTING.md).

ElixirNote follows the Jupyter [Community Guides](https://jupyter.readthedocs.io/en/latest/community/content-community.html) 🌈.

## License

ElixirNote uses a shared copyright model that enables all contributors to maintain the
copyright on their contributions. All code is licensed under the terms of the revised [BSD license](https://github.com/ElixirNote/elixirnote/blob/main/LICENSE).
